# $CVSHeader: pal8e/src/Makefile,v 1.9 2005/02/15 01:10:26 indraneel Rel $

GCC = gcc
G++ = g++
LEX = flex -i
YACC = bison -d
CFLAGS = -g -Wall -fpic -shared
LDFLAGS =

PYINCLUDE = /usr/include/python2.3/
LIB_DIR = ../lib/
BIN_DIR = ~/bin

INCLUDE = -I ../inc/ -I ${PYINCLUDE}
LIB = -L ${LIB_DIR} -L ../lib/ -lm

SOBJ = Extparm_c.so helixbrk.so coordcalc.so nick.so

all : ${SOBJ}

Extparm_c.so :
	${GCC} ${CFLAGS} ${INCLUDE} ${LIB} Extparm_c.c -o Extparm_c.so

helixbrk.so :
	${GCC} ${CFLAGS} ${INCLUDE} ${LIB} helixbrk.c nick.c -o helixbrk.so

coordcalc.so:
	${GCC} ${CFLAGS} ${INCLUDE} ${LIB} coordcalc.c -o coordcalc.so

nick.so:
	${GCC} ${CFLAGS} ${INCLUDE} ${LIB} nick.c -o nick.so

install : ${SOBJ}
	cp ${SOBJ} ${LIB_DIR}

clean :
	rm -f ${SOBJ} *.o *.pyc *~

